# Switch Wifi mode depending on value into /data/config.ini
#

WIFI_MODE=`grep wifi_mode /data/config.ini | awk -F "=" '{ gsub(/ */,"",$2); print $2}'` 

case $WIFI_MODE in
0)
    /bin/wifi_adhoc.sh
    ;;
1)
    /bin/wifi_infra.sh
    ;;
2)
    /bin/wifi_managed.sh
    ;;
*)
    /bin/wifi_adhoc.sh
    ;;
esac

